Package org.osgi.annotation.versioning

# Annotation Type Version

@Documented @Retention(CLASS) @Target(PACKAGE) public @interface Version
Specify the version of a package.

This annotation is not retained at runtime. It is for use by tools to generate bundle manifests or otherwise process the version of a package.

See Also:
  - Semantic Versioning

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`String`
`value`
The version of the annotated package.

## Element Details

### value

String value
The version of the annotated package.

The version must be a valid OSGi version string.